/api/v1/mcps/tool-options/{toolkit}
GET
/api/v1/mcps/tool-options/{toolkit}
const url = 'https://api.endless.zaia.app/api/v1/mcps/tool-options/composio-airtable';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/mcps/tool-options/composio-airtableRetrieves available MCP tool options for a toolkit.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”toolkit
required
string
Responses
Seção intitulada “Responses”Retrieves MCP tool options for the given toolkit.
Media typeapplication/json
object
tools
required
Array<object>
object
description
required
string
inputParameters
A JSON Schema definition object
object
properties
required
object
key
additional properties
One of:
object
description
string
enum
Array
examples
Array
nullable
boolean
type
required
string
object
description
string
items
object
nullable
boolean
type
required
string
object
description
string
examples
Array
nullable
boolean
properties
object
required
Array<string>
type
required
string
object
anyOf
required
Array<object>
object
description
string
nullable
boolean
required
Array<string>
type
required
string
name
required
string
outputParameters
A JSON Schema definition object
object
properties
required
object
key
additional properties
One of:
object
description
string
enum
Array
examples
Array
nullable
boolean
type
required
string
object
description
string
items
object
nullable
boolean
type
required
string
object
description
string
examples
Array
nullable
boolean
properties
object
required
Array<string>
type
required
string
object
anyOf
required
Array<object>
object
description
string
nullable
boolean
required
Array<string>
type
required
string
Example
{ "tools": [ { "inputParameters": { "properties": { "additionalProperty": { "type": "string" } }, "type": "object" }, "outputParameters": { "properties": { "additionalProperty": { "type": "string" } }, "type": "object" } } ]}Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}